---
title: "POST /blueprintactions/realtime/{guid} - Blueprint Actions · RUAL Documentation"
description: "Share realtime collaboration events for a specific blueprint action to all connected users"
canonical: https://docs.rual.nl/cluster/api/blueprint-actions/blueprintactions-realtime--guid-post
language: en
---

# POST /blueprintactions/realtime/{guid}

Share realtime collaboration events for a specific blueprint action to all connected users

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **guid** required | `string` | `"example"` | Blueprint action GUID to share event for |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **event** required | `string` | `"cursor-move"` | Type of realtime event |
| **message** required | `object` | `{ "cursor_type": "pointer", "x": 150, "y": 300 }` | Event message payload |

```
{
  "shared": true
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprintactions_view` | Required scope: blueprintactions_view |
